For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSet a custom set of categories
      • GETRetrieve category set
      • POSTReset category set to original values
LogoLogo
Legacy DocsSign in
API ReferenceCategories

Set a custom set of categories

POST
https://api.ntropy.com/v3/categories/:id
POST
/v3/categories/:id
$curl -X "POST" \
> "https://api.ntropy.com/v3/categories/my_category_id" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl" \
> -H "Content-Type: application/json" \
> -d '{
> "incoming": [
> "salary",
> "investment income",
> "other income"
> ],
> "outgoing": [
> "rent",
> "utilities",
> "groceries",
> "entertainment"
> ]
> }'
$
1{
2 "incoming": [
3 "salary",
4 "investment income",
5 "other income"
6 ],
7 "outgoing": [
8 "rent",
9 "utilities",
10 "groceries",
11 "entertainment"
12 ]
13}

Sets a custom set of categories. Transactions that don’t match a category will be categorized not enough information regardless of whether it is present in the set.

Was this page helpful?
Previous

Retrieve category set

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

idstringRequired

Request

This endpoint expects an object.
incominglist of stringsRequired
outgoinglist of stringsRequired

Response

Custom categories successfully set.
incominglist of strings
outgoinglist of strings

Errors

422
Unprocessable Entity Error